Name:           maven-javadoc-plugin
Version:        2.10.4
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Javadoc Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-javadoc-plugin
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         reduce-exceptions.patch
Patch1:         doxia-sitetools-1.6.patch

BuildRequires:  maven-local
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  httpcomponents-client
BuildRequires:  log4j
BuildRequires:  maven
BuildRequires:  maven-archiver
BuildRequires:  maven-common-artifact-filters
BuildRequires:  maven-doxia-sink-api
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-invoker
BuildRequires:  maven-plugin-annotations
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-plugins-pom
BuildRequires:  maven-reporting-api
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-wagon-provider-api
BuildRequires:  modello
BuildRequires:  plexus-archiver
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-interactivity-api
BuildRequires:  plexus-utils
BuildRequires:  qdox

%description
The Maven Javadoc Plugin is a plugin that uses the javadoc tool for
generating javadocs for the specified project.
 
%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 
%patch0
%patch1

# Remove test dependencies because tests are skipped anyways.
%pom_xpath_remove "pom:dependency[pom:scope[text()='test']]"

%pom_add_dep org.codehaus.plexus:plexus-interactivity-api pom.xml "
<exclusions>
    <exclusion>
        <groupId>org.codehaus.plexus</groupId>
        <artifactId>plexus-component-api</artifactId>
    </exclusion>
</exclusions>"

# Don't use maven2 modules
%pom_remove_dep :maven-project
%pom_remove_dep :maven-artifact-manager
%pom_remove_dep :maven-toolchain

sed -i -e "s|org.apache.maven.doxia.module.xhtml.decoration.render|org.apache.maven.doxia.siterenderer|g" src/main/java/org/apache/maven/plugin/javadoc/JavadocReport.java

# XXX remove javadoc:fix MOJO for now
# TODO: port to QDox 2.0
rm -f src/main/java/org/apache/maven/plugin/javadoc/*FixJavadocMojo.java
%pom_remove_dep :qdox

%build
%mvn_build -f -- -DmavenVersion=3.1.1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE 

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE 




%changelog
* Mon May 15 2017 neoclust <neoclust> 2.10.4-2.mga6
+ Revision: 1101420
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 2.10.4-1.mga6
+ Revision: 1100040
- New version 2.10.4
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.10.3-3.mga6
+ Revision: 977256
- First rebuild of the java stack
- sync package maven-javadoc-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Oct 31 2014 dmorgan <dmorgan> 2.9.1-10.mga5
+ Revision: 795016
- Try to rebuild
- Clean spec file
- Rebuild against mave-doxia

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-8.mga5
+ Revision: 742131
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 pterjan <pterjan> 2.9.1-6.mga5
+ Revision: 674753
- Also add it as BuildRequires
- Add missing dependency on javamail breaking a lot of other builds

* Wed Sep 03 2014 dmorgan <dmorgan> 2.9.1-5.mga5
+ Revision: 671707
- Rebuild without bootstrap

* Wed Sep 03 2014 dmorgan <dmorgan> 2.9.1-4.mga5
+ Revision: 671700
- Rebuild against maven-doxia-sitetools 1.6
- Rebuild against maven-doxia-sitetools 1.6

* Sat Oct 19 2013 umeabot <umeabot> 2.9.1-3.mga4
+ Revision: 535142
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 2.9.1-1.mga4
+ Revision: 481188
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.9-4.mga4
+ Revision: 453071
- Fix Requires/BuildRequires

* Tue Feb 19 2013 dmorgan <dmorgan> 2.9-3.mga3
+ Revision: 399292
- Build in non bootstrap mode

* Thu Jan 17 2013 umeabot <umeabot> 2.9-2.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - New version

* Wed Jun 27 2012 dmorgan <dmorgan> 2.8.1-1.mga3
+ Revision: 264440
- New version 2.8.1

* Tue Jul 19 2011 dmorgan <dmorgan> 2.8-1.mga2
+ Revision: 126849
- Update to latest upstream version.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.7-5.mga1
+ Revision: 92707
- Rebuild after bootstrapping
- imported package maven-javadoc-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-3
- Add missing invoker requires.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-2
- Add missing invoker BR.

* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 2.7-1
- Update to 2.7.

* Fri May  7 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-2
- Add jpackage-utils requirements
- Update requirements of javadoc subpackage

* Thu May  6 2010 Mary Ellen Foster <mefoster at gmail.com> - 2.4-1
- Initial version, based on akurtakov's initial spec
